▼ |  | The Typed Racket Reference

1 | Type Reference
2 | Special Form Reference
3 | Libraries Provided With Typed Racket
4 | Typed Classes
5 | Utilities
6 | Exploring Types
7 | Typed Racket Syntax Without Type Checking
8 | Typed Regions
9 | Optimization in Typed Racket
10 | Legacy Forms
11 | Compatibility Languages
12 | Experimental Features

6.1.1
top ← prev up next →

### 7`` Typed Racket Syntax Without Type Checking

#lang typed/racket/no-check | package: typed-racket-lib
#lang typed/racket/base/no-check

On occasions where the Typed Racket syntax is useful, but actual typechecking is not desired, the typed/racket/no-check and typed/racket/base/no-check languages are useful. They provide the same bindings and syntax as typed/racket and typed/racket/base, but do no type checking.

Examples:

> #lang typed/racket/no-check
> (: x Number)
> (define x "not-a-number")

top ← prev up next →